Skip to main content
`Ctrl`+`K`

# MatMumpsGetNullPivots

Get MUMPS parameter PIVNUL_LIST() https://mumps-solver.org/index.php?page=doc

## Synopsis

    PetscErrorCode MatMumpsGetNullPivots(Mat F, PetscInt *size, PetscInt **array)

Logically Collective

## Input Parameter

- F - the factored matrix obtained by calling `MatGetFactor()` with a `MatSolverType` of `MATSOLVERMUMPS` and a `MatFactorType` of `MAT_FACTOR_LU` or `MAT_FACTOR_CHOLESKY`

## Output Parameters

- size - local size of the array. The size of the array is non-zero only on MPI rank 0

- array - array of rows with null pivot, these rows follow 0-based indexing. The array gets allocated within the function and the user is responsible for freeing this array.

## See Also

Matrices, `Mat`, `MatGetFactor()`, `MatMumpsSetIcntl()`, `MatMumpsGetIcntl()`, `MatMumpsSetCntl()`, `MatMumpsGetCntl()`, `MatMumpsGetInfo()`, `MatMumpsGetInfog()`, `MatMumpsGetRinfo()`

## Level

beginner

## Location

src/mat/impls/aij/mpi/mumps/mumps.c

## Examples

src/ksp/ksp/tutorials/ex52.c

## Implementations

MatMumpsGetNullPivots_MUMPS() in src/mat/impls/aij/mpi/mumps/impl/imumps.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages